{% extends 'my_vl_app/base.html' %}

{% block css %}
{% load static %}
    <link rel="stylesheet" href="{% static 'my_vl_app/css/home.css' %}">
{% endblock %}

{% block content %}
<div class="container">
    <div class="card">
        <h5 class="card-header">Virtual Library - Books</h5>
        <div class="card-body">
            {% if books %}
                <table class="table table-dark table-hover">
                    <thead>
                        <tr>
                            <th scope="col">Book ID</th>
                            <th scope="col">Title</th>
                            <th scope="col">Synopsis</th>
                            <th scope="col">Author</th>
                            <th scope="col">Editorial</th>
                            <th scope="col">Copies</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for book in books %}
                            <tr>
                                <th scope="row"> {{ book.id }} </th>
                                <td> {{ book.title }} </td>
                                <td> {{ book.synopsis }} </td>
                                <td> {{ book.autor.name }} </td>
                                <td> {{ book.editorial.name }} </td>
                                <td> {{ book.copies }} </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <h2>{{ message }}</h2>
                <h3>You can try add a new book <a href="{% url 'add_book' %}">here</a>!</h3>
            {% endif %}
        </div>
    </div>
</div>
{% endblock %}
